<?php
/**
 * CPanel CSF Settings controller
 *
 * @package nirays
 * @subpackage nirays.plugins.cpanel_csf.controllers
 * @copyright Copyright (c) 2013, Nirays Technologies.
 * @license License Agreement
 * @link http://nirays.com/ Nirays
 */
class AdminManagePlugin extends AppController {

    /**
     * Performs necessary initialization
     */
    private function init() {
        // Require login
        $this->parent->requireLogin();

        Language::loadLang("cpanel_csf_plugin", null, PLUGINDIR . "cpanel_csf" . DS . "language" . DS);

        // Set the plugin ID
        $this->plugin_id = (isset($this->get[0]) ? $this->get[0] : null);

        // Set the company ID
        $this->company_id = Configure::get("Blesta.company_id");

        // Set the view to render for all actions under this controller
        $this->view->setView(null, "CpanelCsf.default");
    }

    /**
     * Returns the view to be rendered when managing this plugin
     */
    public function index() {
        $this->init();
        $this->uses(array("CpanelCsf.CpanelCsfSettings"));
        if (!empty($this->post)) {
            $data = $this->post;
            $data['company_id'] = $this->company_id;
            if($data['allow_admin']) $data['allow_admin'] = 1;
            else  $data['allow_admin'] = 0;
            if($data['allow_client']) $data['allow_client'] = 1;
            else  $data['allow_client'] = 0;
                // Add the page
            $this->CpanelCsfSettings->merge($data);
            if (($errors = $this->CpanelCsfSettings->errors())) {
                // Error, reset vars
                $vars = (object)$this->post;
                if($vars->allow_admin) $vars->allow_admin = 1;
                else  $vars->allow_admin = 0;
                if($vars->allow_client) $vars->allow_client = 1;
                else  $vars->allow_client = 0;
                $this->parent->setMessage("error", $errors);
            }
            else {
                // Success
                $this->parent->flashMessage("message", Language::_("CpanelCsfPlugin.!success.plugin_updated", true));
                $this->redirect($this->base_uri . "settings/company/plugins/installed/");
            }
        }

        if (!isset($vars))
            $vars = $this->CpanelCsfSettings->get($this->company_id);

        // Set the view to render
        return $this->partial("admin_manage_plugin", array('meta' => $vars));
    }
}
?>